<?php

namespace PriorityOneMarketingGroup;

class Mysql {
    protected static $MYSQL_HOST = 'localhost';
    protected static $MYSQL_USER = 'priority_sql';
    protected static $MYSQL_PASS = 'C@doodJz^k7V';
    protected static $MYSQL_DB = 'priority_db';


    public function init() {
        $this->mysql_connection = mysqli_connect(self::$MYSQL_HOST,self::$MYSQL_USER,self::$MYSQL_PASS,self::$MYSQL_DB);
		mysqli_set_charset($this->mysql_connection,'utf8');
    }

    public function close(){
		mysqli_close($this->mysql_connection);
    }

    public function escape_string($string) {
    	$string = str_replace("'", "", $string);
    	return mysqli_real_escape_string($this->mysql_connection, $string);
    }

    public function real_escape_string($string) {
    	return mysqli_real_escape_string($this->mysql_connection, $string);
    }

    public function select(string $sql=""){
    	if($sql != ""){
    		$return = array();

	    	$result = mysqli_query($this->mysql_connection,$sql);

	    	// die if SQL statement failed
			if (!$result) {
			  http_response_code(404);
			  die(mysqli_error($this->mysql_connection));
			}

			while ($row = mysqli_fetch_object($result)) {
				array_push($return, $row);
			}

	    	return $return;
	    }else{
	    	return (object) array("error"=>"Need to send through a sql statement");
	    }
    }

    public function insert(string $sql=""){
    	if($sql != ""){
    		$return = array();

	    	$result = mysqli_query($this->mysql_connection,$sql);

	    	// die if SQL statement failed
			if (!$result) {
			  http_response_code(404);
			  die(mysqli_error($this->mysql_connection));
			}
	    }else{
	    	return (object) array("error"=>"Need to send through a sql statement");
	    }
    }

    public function update(string $sql=""){
    	if($sql != ""){
    		$return = array();

	    	$result = mysqli_query($this->mysql_connection,$sql);

	    	// die if SQL statement failed
			if (!$result) {
			  http_response_code(404);
			  die(mysqli_error($this->mysql_connection));
			}
	    }else{
	    	return (object) array("error"=>"Need to send through a sql statement");
	    }
    }

    public function delete(string $sql=""){
    	if($sql != ""){
    		$return = array();

	    	$result = mysqli_query($this->mysql_connection,$sql);

	    	// die if SQL statement failed
			if (!$result) {
			  http_response_code(404);
			  die(mysqli_error($this->mysql_connection));
			}
	    }else{
	    	return (object) array("error"=>"Need to send through a sql statement");
	    }
    }

    public function getLastID(){
    	return mysqli_insert_id($this->mysql_connection);
    }
}

?>